## cinder 26.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
decorator>=4.4.2 # BSD
eventlet>=0.30.1,!=0.32.0 # MIT
greenlet>=0.4.16 # MIT
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
lxml>=4.5.2 # BSD
oslo.config>=8.3.2 # Apache-2.0
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.db>=11.0.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.reports>=3.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.upgradecheck>=1.1.1 # Apache-2.0
oslo.utils>=6.0.0 # Apache-2.0
oslo.versionedobjects>=2.4.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
pyparsing>=2.4.7 # MIT
python-barbicanclient>=5.0.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-novaclient>=18.2.0 # Apache-2.0
python-swiftclient>=3.10.1 # Apache-2.0
requests>=2.25.1 # Apache-2.0
Routes>=2.4.1 # MIT
taskflow>=4.5.0 # Apache-2.0
rtslib-fb>=2.1.74 # Apache-2.0
SQLAlchemy>=1.4.23 # MIT
stevedore>=3.2.2 # Apache-2.0
tabulate>=0.8.7 # MIT
tenacity>=6.3.1 # Apache-2.0
WebOb>=1.8.6 # MIT
oslo.i18n>=5.1.0 # Apache-2.0
oslo.vmware>=3.10.0 # Apache-2.0
os-brick>=6.10.0 # Apache-2.0
os-win>=5.5.0 # Apache-2.0
tooz>=2.8.0 # Apache-2.0
google-api-python-client>=1.11.0 # Apache-2.0
castellan>=3.7.0 # Apache-2.0
cryptography>=3.1 # BSD/Apache-2.0
cursive>=0.2.2 # Apache-2.0
zstd>=1.4.5.1 # BSD
boto3>=1.18.49 # Apache-2.0
distro>=1.8.0 # Apache-2.0
tzdata>=2022.4 # MIT

=== debian/changelog ===
cinder (2:26.0.0-0ubuntu1.2) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf: Create stable/2025.1 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Hemanth Nakkina ]
  * d/p/lp2121812.patch: Fix defaults for netapp node model (LP:
    #2121812)

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 09 Sep 2025 15:58:48 +0530

cinder (2:26.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 16:54:13 +0200

cinder (2:25.1.0+git2025030311.3a79d8637-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:14:54 +0000

cinder (2:25.0.0+git2025011509.962fe29e7-0ubuntu2) plucky; urgency=medium

  * d/control: Drop errant dependency on six, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 10:31:43 +0000

cinder (2:25.0.0+git2025011509.962fe29e7-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot for OpenStack Epoxy.
  * d/control: Removed outdated dependencies.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Removed various patches which are either no longer required or
    merged upstream.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 20 Jan 2025 09:25:50 +0000

cinder (2:25.0.0-0ubuntu2) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Rodrigo Barbieri]
  * d/p/lp1823445.patch: Fix "signature_verified" volume metadata
    from propagating to images and causing errors later when
    creating volumes from such images (LP: #1823445).

 -- James Page <james.page@ubuntu.com>  Mon, 13 Jan 2025 16:19:43 +0000

cinder (2:25.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:19:49 +0100

cinder (2:25.0.0~rc1-0ubuntu2) oracular; urgency=medium

  * d/tests/cinder-daemons: Ensure any systemd units that have been
    marked as failed are reset before being restarted resolving issues
    with autopkgtest failures on s390x.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2024 16:12:23 +0100

cinder (2:25.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Jadon Naas ]
  * New upstream release candidate for OpenStack Dalmatian

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 25 Sep 2024 10:31:32 +0100

cinder (2:24.1.0+git2024082310.788af30d-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/p/{8fb2b35,d71530c}.diff: Drop, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Aug 2024 11:18:03 +0100

cinder (2:24.1.0+git2024080717.383b830b-0ubuntu3) oracular; urgency=medium

  * d/control: version BD on google-auth to support backports.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Aug 2024 10:53:47 +0100

cinder (2:24.1.0+git2024080717.383b830b-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:17:31 +0100

cinder (2:24.1.0+git2024080717.383b830b-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/control: Add qemu-utils to BD's.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 14:29:29 +0100

cinder (2:24.0.0-0ubuntu3) oracular; urgency=medium

  * Remove use of python-oauth2client (LP: #2073242):
    - 8fb2b35.diff: remove logic for google-api-python-client < 1.6.0
    - d71530c.diff: remove unused fallback to oauth2client

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 23 Jul 2024 15:19:19 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 123ubuntu2~),
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools,
 python3-sphinx (>= 3.5.1),
 python3-tabulate (>= 0.8.7),
 qemu-utils,
Build-Depends-Indep:
 python3-barbicanclient (>= 5.0.1),
 python3-boto3 (>= 1.18.49),
 python3-botocore,
 python3-castellan (>= 3.7.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-ddt (>= 1.4.4),
 python3-decorator (>= 4.4.2),
 python3-distro (>= 1.8.0),
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-googleapi (>= 1.7.11),
 python3-google-auth (>= 2.28.2-3~),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-mypy,
 python3-novaclient (>= 2:18.2.0),
 python3-openstackdocstheme (>= 2.2.7),
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 6.10.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 3.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 6.0.0),
 python3-oslo.versionedobjects (>= 2.4.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-oslotest (>= 1:4.5.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-sphinx-feature-classification (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.3.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-sqlalchemy-utils (>= 0.37.8),
 python3-stestr (>= 3.2.1),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-taskflow (>= 4.5.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.8.0),
 python3-webob (>= 1:1.8.6),
 python3-zstd (>= 1.4.5.1),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 targetcli-fb,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 5.0.1),
 python3-castellan (>= 3.7.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-decorator (>= 4.4.2),
 python3-distro (>= 1.8.0),
 python3-eventlet (>= 0.30.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-novaclient (>= 2:18.2.0),
 python3-os-brick (>= 6.10.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 3.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 6.0.0),
 python3-oslo.versionedobjects (>= 2.4.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.8.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-sqlalchemy (>= 1.4.23),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-tabulate (>= 0.8.7),
 python3-taskflow (>= 4.5.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.8.0),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-boto3 (>= 1.18.49),
 python3-botocore,
 python3-googleapi (>= 1.7.11),
 python3-google-auth (>= 2.28.2-3),
 python3-hp3parclient,
 python3-rados,
 python3-rbd,
 python3-zstd (>= 1.4.5.1),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(26.\d.*)\.tar\.gz

## cinder 26.1.0

=== debian/changelog ===
cinder (2:26.1.0-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Fix_type_passed_to_write_function_during_backup_restoration.patch
    applied upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 09:33:19 +0000

cinder (2:26.0.0-2) unstable; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME in daemons, so they don't
    clash with other OpenStack services in /dev/shm.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jul 2025 21:45:33 +0200

cinder (2:26.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debconf template translation
    - German translation.
      Thanks to Helge Kreutzmann (Closes: #1104290)
    - Dutch translation.
      Thanks to Frans Spiesschaert (Closes: #1104541)

 -- Helge Kreutzmann <debian@helgefjell.de>  Tue, 13 May 2025 18:03:43 +0200

cinder (2:26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:10:54 +0200

## cinder 26.1.0+git2025070714.27373d61f

=== debian/changelog ===
cinder (2:26.1.0+git2025070714.27373d61f-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/patch-botocore-exceptions.patch: Refresh.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 09:15:26 -0700

=== debian/control ===
--- 
+++ 
@@ -40,8 +40,9 @@
  python3-keystoneclient (>= 1:4.1.1),
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
- python3-mypy,
+ python3-mypy (>= 1.7.0),
  python3-novaclient (>= 2:18.2.0),
+ python3-openssl (>= 1.0.0),
  python3-openstackdocstheme (>= 2.2.7),
  python3-os-api-ref (>= 2.1.0),
  python3-os-brick (>= 6.10.0),
@@ -76,6 +77,8 @@
  python3-psycopg2 (>= 2.8.5),
  python3-pymysql (>= 0.10.0),
  python3-pyparsing (>= 2.4.7),
+ python3-rados,
+ python3-rbd,
  python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
  python3-routes (>= 2.4.1),
@@ -97,9 +100,10 @@
  python3-testtools (>= 2.4.0),
  python3-tooz (>= 2.8.0),
  python3-webob (>= 1:1.8.6),
+ python3-websocket (>= 1.3.2),
  python3-zstd (>= 1.4.5.1),
 Standards-Version: 4.6.1
-Homepage: https://launchpad.net/cinder
+Homepage: https://opendev.org/openstack/cinder
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
 Testsuite: autopkgtest-pkg-python
 
@@ -207,7 +211,8 @@
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
  python3-novaclient (>= 2:18.2.0),
- python3-os-brick (>= 6.10.0),
+ python3-openssl (>= 1.0.0),
+ python3-os-brick (>= 6.7.0),
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
  python3-oslo.config (>= 1:8.3.2),
@@ -215,9 +220,9 @@
  python3-oslo.db (>= 11.0.0),
  python3-oslo.i18n (>= 5.1.0),
  python3-oslo.log (>= 4.6.1),
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging (>= 14.6.0),
  python3-oslo.middleware (>= 4.1.1),
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy (>= 4.3.0),
  python3-oslo.privsep (>= 2.6.2),
  python3-oslo.reports (>= 3.2.0),
  python3-oslo.rootwrap (>= 6.2.0),
@@ -236,6 +241,8 @@
  python3-prettytable (>= 0.7.1),
  python3-psutil (>= 5.7.2),
  python3-pyparsing (>= 2.4.7),
+ python3-rados,
+ python3-rbd,
  python3-requests (>= 2.25.1),
  python3-retrying (>= 1.2.3),
  python3-routes (>= 2.4.1),
@@ -249,6 +256,7 @@
  python3-tenacity (>= 6.3.1),
  python3-tooz (>= 2.8.0),
  python3-webob (>= 1:1.8.6),
+ python3-websocket (>= 1.3.2),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## cinder 26.2.0

=== debian/changelog ===
cinder (2:26.2.0-2~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Improve_heartbeats_RPC_pings.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Fri, 09 Jan 2026 21:34:20 +0000

cinder (2:26.2.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:36:44 +0100

cinder (2:26.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed Fix_type_passed_to_write_function_during_backup_restoration.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 11:29:14 +0200

## cinder 27.0.0~rc1

=== debian/changelog ===
cinder (2:27.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:52:18 +0200

cinder (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now using module= in cinder-api uwsgi ini file.
  * Rebased add-params-thin_provisioning-equal-one.patch.
  * Removed Fix_type_passed_to_write_function_during_backup_restoration.patch
    applied upstream.
  * Blacklist volume.drivers.netapp.* tests, as some are failing.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 09:14:40 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT ?= https://opendev.org/openstack/cinder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build $(CURDIR)/debian/*.init
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog
	rm -rf doc/source/contributor/api doc/source/drivers.rst
	rm -f doc/source/_static/cinder.conf.sample doc/source/_static/cinder.policy.yaml.sample
	rm -rf .datacore_cha conversion
	rm -f .datacore_chap
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://bugs.launchpad.net/cinder/+bug/2000436
	# See https://bugs.launchpad.net/cinder/+bug/2046227
	# cinder.tests.unit.objects.test_objects.TestObjectVersions.test_versions : object hash changed
	# IsADirectoryError: [Errno 21] Is a directory: b'/tmp/tmpt4i1g412/tmpf3p0q04t/cinder-datacore-backend-server_group_id1'
	# cinder.tests.unit.volume.drivers.datacore.test_datacore_iscsi.ISCSIVolumeDriverTestCase.test_initialize_connection
	# Some netapp tests are failing, we shouldnt care/bother about them, netapp is completely nonfree.
	# cinder.tests.unit.volume.drivers.netapp
	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|.*backup\.drivers\.test_backup_ceph\.BackupCephTestCase.*|.*volume\.drivers\.hpe\.test_hpe3par.*|.*objects\.test_objects\.TestObjectVersions\.test_versions.*|test_cmd\.TestCinderBackupCmd\.test_main_multiprocess|volume\.drivers\.datacore\.test_datacore_iscsi\.ISCSIVolumeDriverTestCase\.test_initialize_connection|volume\.drivers\.netapp.*)'
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects \
		--namespace os_brick

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	mkdir -p $(CURDIR)/debian/cinder-common/etc/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cinder

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_policy policy_dirs /etc/cinder/policy.d

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT auth_strategy keystone

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 27.0.0

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 oslo.context>=3.4.0 # Apache-2.0
 oslo.db>=11.0.0 # Apache-2.0
 oslo.log>=4.6.1 # Apache-2.0
-oslo.messaging>=14.1.0 # Apache-2.0
+oslo.messaging>=14.6.0 # Apache-2.0
 oslo.middleware>=4.1.1 # Apache-2.0
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.privsep>=2.6.2 # Apache-2.0

=== debian/changelog ===
cinder (2:27.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:42:10 +0200

cinder (2:27.0.0~rc1-3) unstable; urgency=medium

  * Add bash-completion to cinder-manage and cinder-status.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 16:08:35 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-decorator,
 python3-distro,
 python3-doc8,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-googleapi,
 python3-google-auth,
 python3-greenlet,
 python3-hacking,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mypy (>= 1.7.0),
 python3-mysqldb,
 python3-novaclient (>= 2:18.2.0),
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-brick (>= 6.10.0),
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep,
 python3-oslo.reports (>= 3.2.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 qemu-utils,
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools (>= 2.0.2),
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-distro,
 python3-eventlet,
 python3-glanceclient,
 python3-googleapi,
 python3-google-auth,
 python3-greenlet,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-novaclient (>= 2:18.2.0),
 python3-os-brick (>= 6.10.0),
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep,
 python3-oslo.reports (>= 3.2.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
--- 
+++ 
@@ -118,6 +118,16 @@
 
 	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf
 
+	echo "Generating bash completion..."
+	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/bash-completion/completions
+	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/zsh/vendor-completions
+	set -e ; set -x ; for i in manage status ; do \
+		echo "cinder-$$i" ; \
+		PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages $(CURDIR)/debian/cinder-common/usr/bin/cinder-$$i --shell_completion bash >$(CURDIR)/debian/cinder-common/usr/share/bash-completion/completions/cinder-$$i ; \
+		PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages $(CURDIR)/debian/cinder-common/usr/bin/cinder-$$i --shell_completion zsh >$(CURDIR)/debian/cinder-common/usr/share/zsh/vendor-completions/_cinder-$$i ; \
+	done
+
+
 override_dh_fixperms:
 	dh_fixperms -Xcinder_tgt.conf
 	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cinder/tags .*/(\d[brc\d\.]+)\.tar\.gz

## cinder 27.0.0+git20260115.159.4fef6d9d4

=== requirements.txt ===
--- 
+++ 
@@ -56,7 +56,9 @@
 castellan>=3.7.0 # Apache-2.0
 cryptography>=3.1 # BSD/Apache-2.0
 cursive>=0.2.2 # Apache-2.0
-zstd>=1.4.5.1 # BSD
+zstd>=1.5.0.0 # BSD
 boto3>=1.18.49 # Apache-2.0
 distro>=1.8.0 # Apache-2.0
 tzdata>=2022.4 # MIT
+cachetools>=4.2.1 # MIT
+packaging>=20.9 # Apache-2.0

=== debian/changelog ===
cinder (2:27.0.0+git20260115.159.4fef6d9d4-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 27.0.0+git20260115.159.4fef6d9d4
  * d/p/lp2121812.patch, remove-use-of-mutable-fakes.patch: Drop upsteamed patches
  * d/patches/*: refresh patches
  * New upstream snapshot from 4fef6d9d4687fa8c1df49d92d3e5ef44fe9711ac
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/fix-tests-oslo-concurrency-explicit-kwargs.patch: Import upstream proposed
    patch to fix change in behaviour with oslo.concurrency 7.3.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 14:47:22 -0800

cinder (2:27.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:45:13 +0200

cinder (2:27.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/lp2121812.patch: Refresh.
  * d/p/remove-use-of-mutable-fakes.patch: Add late upstream commit
    after RC1 was published to fix LP: #2125159.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 13:44:10 -0700

cinder (2:26.1.0+git2025070714.27373d61f-0ubuntu4) questing; urgency=medium

  * d/p/lp2121812.patch: Fix defaults for netapp node model (LP: #2121812)

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Tue, 09 Sep 2025 15:49:11 +0530

cinder (2:26.1.0+git2025070714.27373d61f-0ubuntu3) questing; urgency=medium

  * d/cinder_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 15 Aug 2025 10:10:03 -0700

cinder (2:26.1.0+git2025070714.27373d61f-0ubuntu2) questing; urgency=medium

  * d/control: Remove python3-websocket from Depends.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 28 Jul 2025 08:41:35 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc,apache2 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-cinder/usr/etc

override_dh_install:
	dh_install -Xbin/cinder-all -Xusr/bin/cinder-api
	dh_missing --fail-missing -Xbin/cinder-all -Xusr/bin/cinder-api

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(\d{1,2}\.\d.*)\.tar\.gz

## cinder 2012.2~f1~20120503.2

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 python-sqlalchemy,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-babel,
 python-iso8601,
 python-coverage,
 python-nose,
 python-nosexcover,
 python-sphinx,
 python-mysqldb
Standards-Version: 3.9.3
Homepage: http://launchpad.net/cinder

Package: python-cinder
Architecture: all
Depends: ${python:Depends}, python-sqlalchemy,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-babel,
 python-iso8601,
 ${misc:Depends}
Description: Cinder python libraries
 Cinder is a storage service for the Openstack project.
 .
 This package contains the proython parts of cinder.

Package: cinder-common
Architecture: all
Depends: python-cinder (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Description: Cinder starage service - common files
 Cinder is a storage service for the Openstack project
 .
 This package contains things that are needed for all parts of cinder

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - api server
 Cinder is a storage service for the Openstack project
 .
 This package contains the api server

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - api server
 Cinder is a storage service for the Openstack project
 .
 This package contains the volume server

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder storage service - api server
 Cinder is a storage service for the Openstack project
 .
 This package contains the scheduler server

## cinder 2012.2~f2

=== debian/changelog ===
cinder (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 Jun 2012 12:29:03 -0400

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 python-sqlalchemy,
 python-cheetah,
 python-amqplib,
 python-anyjson,
 python-eventlet,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-daemon,
 python-routes,
 python-webob,
 python-greenlet,
 python-pastedeploy,
 python-paste,
 python-migrate,
 python-netaddr,
 python-glance,
 python-suds,
 python-paramiko,
 python-iso8601,
 python-setuptools,
 python-coverage,
 python-mox,
 pep8,
 python-sphinx,
 python-mysqldb
Standards-Version: 3.9.3
Homepage: http://launchpad.net/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, sqlalchemy, python-cheetah, python-amqplib, python-anyjson,
 python-eventlet, python-kombu, python-lockfile, python-lxml, python-daemon, python-routes, python-greenlet,
 python-pastedeploy, python-paste, python-migrate, python-netaddr, python-glance, python-parmiko, python-iso8601
XB-Python-Versions: ${python:Versions}
Description: Cinder Volume API - python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Openstack Cinder is the Volume API component.
 .
 This package contains the python parts of cinder

Package: cinder-common
Architecture: all
Depends: python-cinder (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Description: Cinder volume API - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Openstack Cinder is the Volume API component.
 .
 This package contains the common parts of cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder volume API - API
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Openstack Cinder is the Volume API component.
 .
 This package contains the api for cinder.

Package: cinder-scheduler
Architecture: all
Depends:  cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Cinder volume API - scheduler
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Openstack Cinder is the Volume API component.
 .
 This package contains the scheduler part of cinder.

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, lvm2, tgt
Description: Cinder volume API - volume
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Openstack Cinder is the Volume API component.
 .
 This package contains the volume part of cinder.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install

override_dh_auto_test:
#	bash run_tests.sh -N
